Subject: "failed to read delta base object at..."

From: "J. Bruce Fields" <[email-masked]>
Date: Mon, 25 Aug 2008 12:46:02 -0400

Today I got this:

fatal: failed to read delta base object at 3025976 from
/home/bfields/local/linux-2.6/.git/objects/pack/pack-f7261d96cf1161b1b0a1593f673a67d0f2469e9b.pack

This has happened once before recently, I believe with a pack that had
just been created on a recent fetch.  (If I remember correctly, this was
soon after a failed suspend/resume cycle that might have interrupted an
in-progress fetch; could that possible explain the error?)  In that case
I reset origin/master, deleted a tag or two, and fetched, and the
problem seemed to be fixed.

--b.